> For the complete documentation index, see [llms.txt](https://docs.centic.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.centic.io/our-products-and-services/entity-oriented-api/dapps/dexes.md).

# Dexes

## Get recent activities

This API is to request the activities informations of Dexes. Includes transactions and transfers within the transacion.

{% openapi src="/files/vEyfW0UUhDNGCCoB5xVh" path="/v3/common/activities" method="get" %}
[openapi.json](https://400735876-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FX3h8aoMOs3ryNyWTDiM2%2Fuploads%2FRE8IYL91uHQenRtgjKlX%2Fopenapi.json?alt=media\&token=6a71bc17-2bf7-451a-b538-a3ef42cbbeed)
{% endopenapi %}

## Get overall analytics

This API is to get the overall analytics. You can request the wallet address and Chain ID get overall analytics.

The returned data includes:

* Wallet address
* Return total asset in the last 7 days and the time you query
* The rate of change in assets of the following day compared to the previous day
* Cumulative profit and loss in the last 7 days
* Daily profit and loss in last 7 days
* Daily active user
* Daily active users change rate
* Daily transaction
* Daily transaction change Rate
* Number of LiquidityPairs
* Total Liquidity
* greatEvents: List of great event sorted in descending order by amount
* liquidityPairs: List of liquidity pair sorted in descending order by liquidity
* Number of TinyPairs
* Liquidity Distribution

{% openapi src="/files/vEyfW0UUhDNGCCoB5xVh" path="/v3/common/analytics" method="get" %}
[openapi.json](https://400735876-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FX3h8aoMOs3ryNyWTDiM2%2Fuploads%2FRE8IYL91uHQenRtgjKlX%2Fopenapi.json?alt=media\&token=6a71bc17-2bf7-451a-b538-a3ef42cbbeed)
{% endopenapi %}

## Get introduction of Dexes

This API is to request the introduction of the Dexes.

The returned data includes:

* List of active chain and address of dexes on this chain
* SocialAccounts
* Rank
* Volume
* Volume change logs in last 30 days

{% openapi src="/files/vEyfW0UUhDNGCCoB5xVh" path="/v3/common/introduction" method="get" %}
[openapi.json](https://400735876-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FX3h8aoMOs3ryNyWTDiM2%2Fuploads%2FRE8IYL91uHQenRtgjKlX%2Fopenapi.json?alt=media\&token=6a71bc17-2bf7-451a-b538-a3ef42cbbeed)
{% endopenapi %}

## &#x20;Get the list of Dexes

This API is to request the list of Dexes sorted in descending order by tradingVolume.

{% openapi src="/files/vEyfW0UUhDNGCCoB5xVh" path="/v3/ranking/exchanges" method="get" %}
[openapi.json](https://400735876-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FX3h8aoMOs3ryNyWTDiM2%2Fuploads%2FRE8IYL91uHQenRtgjKlX%2Fopenapi.json?alt=media\&token=6a71bc17-2bf7-451a-b538-a3ef42cbbeed)
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.centic.io/our-products-and-services/entity-oriented-api/dapps/dexes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
